package com.unis.base.server.dao;

import java.util.List;
import java.util.Map;

import com.unis.base.server.entity.TyShougouqiyebeian;
import com.unis.base.server.entity.TyShougouqiyebeianEVo;
import com.unis.base.server.example.TyShougouqiyebeianExample;

public interface TyShougouqiyebeianDao {

	List<TyShougouqiyebeian> selectByExample(TyShougouqiyebeianExample shougouqiyebeianExample);

	int insertSelective(TyShougouqiyebeian tyShougouqiyebeian);

	int deleteByExample(TyShougouqiyebeianExample shougouqiyebeianExample);

	int updateByPrimaryKeySelective(TyShougouqiyebeian tyShougouqiyebeian);

//	List<TyShougouqiyebeianEVo> selectByExampleIsList(TyShougouqiyebeianExample shougouqiyebeianExample);
	List<Map<String, Object>> selectByExampleIsList(TyShougouqiyebeianExample shougouqiyebeianExample);
	
 }